def call(String repoPath, String repoName, String versionPattern) {
    // Construir el patrón de versión esperado en el nombre del paquete
    def packagePattern = "*${versionPattern}*.deb"

    // Buscar y añadir al repositorio los paquetes que coincidan con el patrón
    sh """
        for deb in ${repoPath}/${packagePattern}; do
            if [ -f "\$deb" ]; then
                aptly repo add ${repoName} "\$deb"
            else
                echo "No se encontraron paquetes .deb para la versión ${versionPattern}."
            fi
        done
    """
}
